.shipping {
  width: 100%;

  > .shipping-form .topic-title {
    margin-bottom: 1.6rem;
    display: block;
  }

  > .shipping-form p {
    margin-bottom: 0.8rem;
    font-size: var(--font-size-small);
    text-transform: uppercase;
  }

  > .shipping-form .field {
    display: flex;
    align-items: center;
    height: 5rem;
    border: 1px solid var(--gray-2);
    padding: 0.5rem 1.6rem;
    border-radius: 0.4rem;

    @include media("md") {
      transition: var(--transition);

      &:hover {
        background-color: rgba(0, 0, 0, 0.08);
      }
    }
  }

  > .shipping-form .input {
    height: 100%;
    background-color: transparent !important;
    flex: 1;
    width: auto;
    border: 0;
    padding: 0;
    outline: none;
  }

  > .shipping-form .action {
    position: relative;
    display: flex;
    width: 2.4rem;
    height: 2.4rem;
  }

  > .shipping-form .action.-sending {
    pointer-events: none;

    svg {
      opacity: 0;
    }
  }

  > .shipping-form .action.-sending:after {
    animation: spin 2s linear infinite;
    content: "";
    border: 0.3rem solid var(--gray-2);
    border-top: 0.3rem solid var(--gray-3);
    border-radius: 50%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    height: 2rem;
    width: 2rem;

    @keyframes spin {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }
  }

  > .shipping-form .action svg {
    width: 100%;
    height: 100%;
    color: var(--gray-3);
  }

  > [data-list-shipping] .street {
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    color: var(--font-color-base);
    margin: 1.6rem 0;
  }

  > [data-list-shipping] .shipping-list .shipping-list-item {
    padding: 0.8rem 0;
  }

  > [data-list-shipping] .shipping-list .shipping-list-item .method {
    align-items: center;
    display: flex;
    font-weight: 500;
    font-size: var(--font-size-base);
    justify-content: space-between;
  }

  > [data-list-shipping] .shipping-list-item .price.-free {
    color: var(--primary-color);
  }

  > [data-list-shipping] .shipping-list .shipping-list-item .prazo {
    font-weight: var(--font-weight-base);
    font-size: var(--font-size-small);
    color: var(--gray-3);
    margin-top: 0.8rem;
  }
}
